﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Primitives;

namespace CircleApplicationButton
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void ApplicationMenu_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            ApplicationMenu appMenu = sender as ApplicationMenu;
            
            Border borderElement = appMenu.ParentOfType<Border>();
            if (borderElement == null) return;
            borderElement.Clip = null;
            RadRibbonDropDownButton appButton = appMenu.ParentOfType<RadRibbonDropDownButton>();
            if (appButton == null) return;
            Popup dropDownPopup = appMenu.ParentOfType<Popup>();
            if (dropDownPopup == null) return;
            GeometryGroup geometryGroup = new GeometryGroup();
            Point topLeft = new Point();
            try
            {
                topLeft = appButton.TransformToVisual(xRibbonView).Transform(new Point(0, 0));
            }
            catch
            {
            }
            double radiusX = appButton.ActualWidth / 2;
            double radiusY = appButton.ActualHeight / 2 ;
            geometryGroup.Children.Add(new RectangleGeometry() { Rect = new Rect(0, 0, this.ActualWidth, this.ActualHeight) });
            geometryGroup.Children.Add(new EllipseGeometry() { RadiusX = radiusX, RadiusY = radiusY, Center = new Point(radiusX, radiusY) });
            borderElement.Clip = geometryGroup;
        }
    }
}
